Bug 1167047 - Kickstart line selinux --disabled has no effect
Summary: Kickstart line selinux --disabled has no effect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 21
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F21FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2014-11-22 22:41 UTC by A.J. Werkman
Modified: 2014-12-05 03:26 UTC (History)
6 users (show)

Fixed In Version: anaconda-21.48.21-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-05 03:26:43 UTC


Attachments (Terms of Use)

Description A.J. Werkman 2014-11-22 22:41:19 UTC
Description of problem:
While kickstart file has à line "selinux --disabled" the installeren system has selinux set to enforcing.

Version-Release number of selected component (if applicable):
21-tc2 and 21-tc3.

How reproducible:
Reproducible.

Steps to Reproduce:
1. Have aline "selinux --disabled" in kickstart file.
2. Install fedora.
3. Check the status of selinux.

Actual results:
Selinux is in enforcing State.

Expected results:
Selinux is in disabled State.

Additional info:
Bug 821966 looks similar, but I have firewall enabled. Should thuis also be à blocker?

Comment 1 David Shea 2014-11-24 17:03:21 UTC
Fixed in upstream commit 47551a4b

Comment 2 Fedora Blocker Bugs Application 2014-11-24 17:04:24 UTC
Proposed as a Freeze Exception for 21-final by Fedora user dshea using the blocker tracking app because:

 It would be nice if the kickstart selinux command worked.

Comment 3 Adam Williamson 2014-11-24 19:55:27 UTC
Discussed at 2014-11-24 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2014-11-24/f21-blocker-review.2014-11-24-17.01.log.txt . Accepted as a freeze exception issue - this clearly should work and can't be fixed post-release. There's no criterion that covers it, though, only a criterion that requires SELinux to be on by default.

Comment 4 David Shea 2014-11-24 20:21:43 UTC
and also 88376f9a to make --help not break. Pushed.

Comment 5 Fedora Update System 2014-11-26 20:40:20 UTC
anaconda-21.48.17-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/anaconda-21.48.17-1.fc21

Comment 6 Fedora Update System 2014-11-27 19:29:00 UTC
Package anaconda-21.48.17-1.fc21, python-blivet-0.61.11-1.fc21, pyparted-3.10.2-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.17-1.fc21 python-blivet-0.61.11-1.fc21 pyparted-3.10.2-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15910/pyparted-3.10.2-1.fc21,python-blivet-0.61.11-1.fc21,anaconda-21.48.17-1.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-11-29 20:59:22 UTC
Package pyparted-3.10.2-1.fc21, python-blivet-0.61.12-1.fc21, anaconda-21.48.18-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyparted-3.10.2-1.fc21 python-blivet-0.61.12-1.fc21 anaconda-21.48.18-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15910/pyparted-3.10.2-1.fc21,python-blivet-0.61.12-1.fc21,anaconda-21.48.18-1.fc21
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-12-02 01:04:15 UTC
Package pyparted-3.10.2-1.fc21, python-blivet-0.61.12-1.fc21, anaconda-21.48.20-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyparted-3.10.2-1.fc21 python-blivet-0.61.12-1.fc21 anaconda-21.48.20-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15910/pyparted-3.10.2-1.fc21,python-blivet-0.61.12-1.fc21,anaconda-21.48.20-1.fc21
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-12-03 06:06:03 UTC
Package python-blivet-0.61.12-1.fc21, anaconda-21.48.21-1.fc21, pyparted-3.9.5-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-0.61.12-1.fc21 anaconda-21.48.21-1.fc21 pyparted-3.9.5-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15910/anaconda-21.48.21-1.fc21,pyparted-3.9.5-3.fc21,python-blivet-0.61.12-1.fc21
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-12-05 00:46:20 UTC
Package anaconda-21.48.21-1.fc21, python-blivet-0.61.13-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-21.48.21-1.fc21 python-blivet-0.61.13-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15910/anaconda-21.48.21-1.fc21,python-blivet-0.61.13-1.fc21
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-12-05 03:26:43 UTC
anaconda-21.48.21-1.fc21, python-blivet-0.61.13-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.